Skip to main content
enum

Sorting options for the products query. Supports sorting products by criteria such as best-selling and price, and by product attributes such as type, and vendor.


Note

Use the RELEVANCE key only when a search query is specified.


Sort by the best_selling value.

Sort by the created_at value.

Sort by the id value.

Sort by the price value.

Sort by the product_type value.

Sort by relevance to the search terms when the query parameter is specified on the connection. Don't use this sort key when no search query is specified.

Sort by the title value.

Sort by the updated_at value.

Sort by the vendor value.


Was this section helpful?

•ARGUMENT

The entry point for all Storefront API queries. Provides access to shop resources including products, collections, carts, and customer data, as well as content like articles and pages. This query acts as the public, top-level type from which all queries must start.

Use individual queries like product or collection to fetch specific resources by ID or handle. Use plural queries like products or collections to retrieve paginated lists with optional filtering and sorting. The search and predictiveSearch queries enable storefront search functionality.

Explore queries interactively with the GraphiQL explorer and sample query kit.


Was this section helpful?